# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: geany
Version: 0.10.2
Release: alt1.1

Summary: A fast and lightweight IDE using GTK2
License: GPL
Group: Development/Other
Url: http://geany.uvena.de/
Packager: Slava Semushin <php-coder@altlinux.ru>

Source: http://ovh.dl.sourceforge.net/%name/%name-%version.tar.bz2

Patch: %name-0.10-alt-configure-find_svn_silently.patch

Requires: libvte
BuildRequires: libgtk+2-devel gcc-c++

%description
Geany is a small and lightweight integrated development environment.
It was developed to provide a small and fast IDE, which has only a few
dependencies from other packages. Another goal was to be as
independent as possible from a special Desktop Environment like KDE or
GNOME. So it is using only the GTK2 toolkit and therefore you need
only the GTK2 runtime libraries to run Geany.

%prep
%setup

%patch -p1

# - Install docs to /usr/share/doc/%name-%version
# - Install THANKS file
# - Don't install COPYING and ScintillaLicense.txt files
sed -i 's|^\(DOCDIR = .*\)|\1-$(VERSION)|;/ScintillaLicense.txt/d;s/COPYING/THANKS/' doc/Makefile.am

%build
%__autoreconf
%configure
%make_build --silent --no-print-directory

%install
%make_install --silent --no-print-directory DESTDIR=%buildroot install
%find_lang %name

%files -f %name.lang
%_bindir/%name
%_datadir/%name/
%_man1dir/%name.1.*
%_desktopdir/%name.desktop
%_pixmapsdir/%name.ico
%_pixmapsdir/%name.png
%_defaultdocdir/%name-%version/

%changelog
* Mon Feb 26 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.10.2-alt1.1
- NMU based on spec from Slava Semushin <php-coder@>

* Mon Feb 26 2007 Slava Semushin <php-coder@altlinux.ru> 0.10.2-alt1
- Updated to 0.10.2 (bugfix release)
- Removed find_libvte_correctly patch (was backported from svn)

* Thu Feb 08 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.10-alt1.1
- Adapted spec from Slava Semushin <php-coder@>

* Thu Feb 08 2007 Slava Semushin <php-coder@altlinux.ru> 0.10-alt1
- Initial build for ALT Linux Sisyphus
- Applied two patches:
  + find_libvte_correctly (backported from SVN)
  + find_svn_silently (maded by me)

